%define name wmblob
%define version 1.0.3
%define release %mkrel 3

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}

Summary:	dockapp which shows funny moving `blobs'
Source:		%{name}-%{version}.tar.bz2
Source1: 	%{name}.48.png
Source2: 	%{name}.32.png
Source3: 	%{name}.16.png
License:	GPL
Group:		Toys
URL:		http://dockapps.org/file.php/id/155
Packager:	Mario Blättermann
Requires:	libxpm
Requires:	gtk2
BuildRequires:	xpm-devel
BuildRequires:	gtk2-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot


%description
Wmblob is a totally useless program. But unlike other totally useless programs (I won't name them here, because they're made by an enormous and rich company), it looks good and shows funny moving `blobs'.

%description -l de
Wmblob ist ein vollkommen zweckloses Programm. Aber im Gegensatz zu anderen vollkommen zwecklosen Programmen (die ich hier nicht benennen möchte, weil sie von einem gigantischen und reichen Unternehmen stammen), sieht es gut aus und zeigt lustig wackelnde "Blobs". 


%prep
%__rm -rf $RPM_BUILD_ROOT
%setup -q


%build
%configure2_5x \
                --x-includes=/usr/include/X11 \
                --x-libraries=/usr/lib/X11		
%make


%install
%makeinstall
%__mkdir -p %buildroot%{_iconsdir}
%__mkdir -p %buildroot%{_miconsdir}
%__mkdir -p %buildroot%{_liconsdir}
%__install -m 644 %{SOURCE1} -D %buildroot%{_liconsdir}/%{name}.png
%__install -m 644 %{SOURCE2} -D %buildroot%{_iconsdir}/%{name}.png
%__install -m 644 %{SOURCE3} -D %buildroot%{_miconsdir}/%{name}.png


# menu entry
%__mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name):wmblob 
command="%_bindir/wmblob --broken-wm" 
needs="X11" 
section="More Applications/Games/Toys" 
icon="wmblob.png"
title="wmblob" 
longtitle="wmblob"
EOF

# xdg menu entry
%__mkdir -p %buildroot/%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=dockapp which shows funny moving 'blobs'
Comment[de]=Dockapp, das lustig wackelnde 'Blobs' zeigt
Exec=%{_bindir}/%{name} --broken-wm
Icon=%{_iconsdir}/%{name}.png
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Games-Toys
EOF


%post
%update_menus
%update_desktop_database

%postun
%clean_menus
%clean_desktop_database


%files
%doc AUTHORS ChangeLog COPYING README
%defattr(-,root,root,0755)
%{_bindir}/%{name}
%{_menudir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_mandir}/man1/%{name}.1.lzma


%changelog

* Sat Oct 18 2008 Mario Blättermann <rpm@mandrivauser.de> 1.0.3-3mud2009.0
- rebuild for 2009.0

* Sun Apr 13 2008 Mario Blättermann <rpm@mandrivauser.de> 1.0.3-2mud2008.1
- rebuild for 2008.1

* Thu Feb 21 2008 Mario Blättermann <mario.blaettermann@t-online.de> 1.0.3-1mud2008.0
- initial version